CentOS 8 : gcc-toolset-11-gcc (CESA-2021:4586)

high Nessus Plugin ID 155561

Synopsis

The remote CentOS host is missing a security update.

Description

The remote CentOS Linux 8 host has packages installed that are affected by a vulnerability as referenced in the CESA-2021:4586 advisory.

- Developer environment: Unicode's bidirectional (BiDi) override characters can cause trojan source attacks (CVE-2021-42574)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://access.redhat.com/errata/RHSA-2021:4586

Plugin Details

Severity: High

ID: 155561

File Name: centos8_RHSA-2021-4586.nasl

Version: 1.2

Type: local

Agent: unix

Published: 11/18/2021

Updated: 11/18/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

Risk Information

CVSS Score Source: CVE-2021-42574

VPR

Risk Factor: Critical

Score: 9.2

CVSS v2

Risk Factor: Medium

Base Score: 5.1

Temporal Score: 3.8

Vector: AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.3

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:gcc-toolset-11-gcc, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-c%2b%2b, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-gdb-plugin, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-gfortran, p-cpe:/a:centos:centos:gcc-toolset-11-gcc-plugin-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libasan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libatomic-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libgccjit-docs, p-cpe:/a:centos:centos:gcc-toolset-11-libitm-devel, p-cpe:/a:centos:centos:gcc-toolset-11-liblsan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libquadmath-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libstdc%2b%2b-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libstdc%2b%2b-docs, p-cpe:/a:centos:centos:gcc-toolset-11-libtsan-devel, p-cpe:/a:centos:centos:gcc-toolset-11-libubsan-devel, p-cpe:/a:centos:centos:libasan6

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 11/10/2021

Vulnerability Publication Date: 11/1/2021

Reference Information

CVE: CVE-2021-42574

RHSA: 2021:4586

IAVA: 2021-A-0528